# 4to6 - IPv4 转 IPv6 代理

`4to6` 是一个高性能的 IPv4 到 IPv6 代理工具，支持 TCP 和 UDP 流量转发，适用于无法直接访问 IPv6 资源的网络环境。

## 功能特点

- **TCP 代理**：将 IPv4 请求转发到 IPv6 目标服务器
- **UDP 代理**：支持 DNS 和其他基于 UDP 的应用
- **高并发处理**：优化 Goroutine 调度，提高吞吐量
- **安全退出**：监听系统信号，确保代理安全关闭
- 需要购买IPV6服务器做为代理服务器

---

## 安装

需要 **Go 1.20+** 环境，执行以下命令：

```sh
git clone https://git.aixiao.me/aixiao/4to6.git
cd 4to6
bash build.sh
```

## 使用

```sh
aixiao@NIUYULING:/mnt/c/Users/root/Desktop/4to6$ ./4to6-linux-amd64 -h
Usage of ./4to6-linux-amd64:
  -c string
        指定配置文件 (default "4to6.conf")
  -d    守护进程模式
aixiao@NIUYULING:/mnt/c/Users/root/Desktop/4to6$
```
